<!doctype html>
<html>
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link
      href="https://fonts.googleapis.com/css2?family=Geologica:wght@100;200;300;400;500;600;700;800;900&display=swap"
      rel="stylesheet"
    >

    <script src="https://kit.fontawesome.com/a4f8ae2a61.js" crossorigin="anonymous"></script>

    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.1/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-4bw+/aepP/YC94hEpVNVgiZdgIC5+VKNBQNGCHeKRQN+PtmoHDEXuppvnDJzQIu9"
      crossorigin="anonymous"
    >
    <script src="https://sdks.shopifycdn.com/buy-button/latest/buy-button-storefront.min.js"></script>

    <link href="https://phplaravel-523670-3512667.cloudwaysapps.com/assets/css/shopify-style.css" rel="stylesheet">
    <style>
      #recipe-ing img,
      #recipe-method img {
        max-width: 100%;
      }
      body,
      #recipeBody {
        font-family: 'Geologica', sans-serif;
      }
    </style>
  </head>

  <body id="recipeBody">
    <!-- get curreny symbol from store -->
    {% assign currencySymbol = shop.money_format | remove: "{{amount}}" | strip %}

    <!-- Your Liquid template -->
    <div id="wc-loader">
      <div class="wc-loader"></div>
    </div>
    <!-- recipe listing section -->
    <div id="recipe-list" style="display: none">
      <div class=" container d-block mt-5">
        <h1 class="main-page-title page-title h0">Recipes</h1>
      </div>
      <section class="recipe-design1">
        <div class="container">
          <div class="row" id="design1"></div>
        </div>
      </section>
    </div>

    <!-- recipe view section design -->
    <section class="py-5" id="recipe-view" style="display:none"></section>
    <section class="py-5 container" id="recipe-products" style="display:none">
      <div class="row" id="recipe-product-row">
        <h1 class="mb-4">Recipe Products</h1>
      </div>
      <div class="text-center mt-5">
        <div class="success-alert px-5 py-3 fs-5" id="success-alert" style="display:none">
          Product has been added into cart!
        </div>
        <div class="danger-alert px-5 py-3 fs-5" id="danger-alert" style="display:none">
          Something went wrong. Please try again later!
        </div>
      </div>
    </section>

    <script
      src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.1/dist/js/bootstrap.bundle.min.js"
      integrity="sha384-HwwvtgBNo3bZJJLYd8oVXjrBZt8cqVSpeBNS5n7C8IVInixGAoxmnlMuBnhbgrkm"
      crossorigin="anonymous"
    ></script>

    <script>
      // get recipe id
      const recipeId = new URLSearchParams(window.location.search).get('keyword');
      var recipeDetails = [];
      // check recipe is exist or not
      if (!recipeId) {
        var shopDomain = '{{ shop.domain }}';
        // get all recipes and add into list
        fetch('https://phplaravel-523670-3512667.cloudwaysapps.com/api/recipes/' + shopDomain)
          .then((response) => response.json())
          .then((data) => {
            const recipeList = document.getElementById('design1');
            data.items.forEach((recipe) => {
              recipeList.innerHTML += `
                                       <div class="col-lg-3 col-md-6 mb-4 mb-lg-4 mb-md-3"><div class="recipe-box"><div class="recipe-img">{% if recipe.images.size > 0 %}<img src="https://phplaravel-523670-3512667.cloudwaysapps.com/${
                                         recipe.images[0].url
                                       }" alt="${
                recipe.name
              }">{% else %}<img src="https://phplaravel-523670-3512667.cloudwaysapps.com/images/preview.jpg" width="100%" alt="${
                recipe.name
              }">{% endif %}</div><div class="recipe-des p-3"><span class="highlight">Ready in  ${
                recipe.pt_mm
              } minutes</span><a href="?keyword=${recipe.slug}"><h4 class="mt-3">${
                recipe.name
              }</h4></a><div class="mb-0 desc-list">${
                recipe.desc ? recipe.desc : ''
              }</div></div><div class="recipe-icon p-3"><ul><li><i class="far fa-clock"></i>${recipe.ct_hh} hr ${
                recipe.ct_mm
              } min</li><li><i class="far fa-user"></i>${recipe.serving_number} Person</li></ul></div></div></div>
                                    `;
            });
          });

        setTimeout(function () {
          document.getElementById('wc-loader').style.display = 'none';
          document.getElementById('recipe-list').style.display = 'block';
        }, 1000);
      } else {
        fetch('https://phplaravel-523670-3512667.cloudwaysapps.com/api/recipe/' + recipeId)
          .then((response) => response.json())
          .then((data) => {
            const recipeView = document.getElementById('recipe-view');
            var recipe = data.items;
            recipeDetails = data.items;

            let html = '';
            html += `
                                     <div class="container"><div class="row"><div class="col-lg-6 mb-3 mb-lg-0"><div class="recipe-detail-img">{% if recipe.images.size > 0 %}<img src="https://phplaravel-523670-3512667.cloudwaysapps.com/${
                                       recipe.images[0].url
                                     }" alt="${
              recipe.name
            }">{% else %}<img src="https://phplaravel-523670-3512667.cloudwaysapps.com/images/preview.jpg" width=""100%" alt="${
              recipe.name
            }">{% endif %}</div></div><div class="col-lg-6 mt-3"><div class="recipe-detail-right"><h2 class="mb-3">${
              recipe.name
            }</h2><p>${recipe.desc ? recipe.desc : ''}</p><ul class="recipe-cooking"><li>PreTime<span>${
              recipe.pt_hh
            } hr ${recipe.pt_mm} min</span></li><li>CookTime<span>${recipe.ct_hh} hr ${
              recipe.ct_mm
            } min</span></li><li>Serving<span>${recipe.serving_number} Person</span></li></ul>`;

            html += `<ul class="recipe-extra">`;
            recipe.options.forEach((item, index) => {
              html += `<li><span>${item.name}</span></li>`;
            });
            html += `</ul></div></div></div>`;

            recipe.ingredient_desc = recipe.ingredient_desc ? recipe.ingredient_desc : 'Details not available';
            recipe.cooking_desc = recipe.cooking_desc ? recipe.cooking_desc : 'Details not available';

            html += `<div class="row mt-5"><div class="col-lg-12"><div class="detail-box"><div class="row"><div class="col-lg-6 mb-4 mb-lg-0 boder-me pe-0 pe-lg-5" id="recipe-ing"><h3>INGREDIENTS</h3>${recipe.ingredient_desc}</div><div class="col-lg-6 mb-4 mb-lg-0 ps-0 ps-lg-5" id="recipe-method"><h3>METHOD</h3>${recipe.cooking_desc} </div></div></div></div></div>`;

            html += `<div class="text-center mt-5"><div class="success-alert" id="copy-alert" style="display:none">Link Copied!</div><button class="btn btn-link btn-lg text-dark"  onclick="copyContent()"><i class="fa-solid fa-share me-2"></i> Share</button></div>`;
            recipeView.innerHTML = html;
          });

        setTimeout(function () {
          document.getElementById('wc-loader').style.display = 'none';
          document.getElementById('recipe-view').style.display = 'block';
          setProductData();
          document.getElementById('recipe-products').style.display = 'block';
        }, 1000);
      }

      function setProductData() {
        // AJAX request to fetch products
        var xhr = new XMLHttpRequest();

        xhr.open('GET', '/collections/all/products.json');
        xhr.setRequestHeader('Content-Type', 'application/json');
        xhr.onload = function () {
          if (xhr.status === 200) {
            var products = JSON.parse(xhr.responseText).products;
            var productContainer = document.getElementById('productContainer');

            // Build the HTML for the products

            var productIds = [];
            recipeDetails.products.forEach(function (pr, index) {
              productIds.push(pr.product_id);
            });
            var foundProducts = products.filter((product) => productIds.includes(product.id));
            foundProducts.forEach(function (item, index) {
              var html = '';

              if (item.variants.length > 1) {
                var aTag = `<a href='/products/${item.handle}' class="add-me">Choose option</a>`;
                var priceTag = `<span>Starts from {{currencySymbol}} ${item.variants[0].price}</span>`;
              } else {
                var aTag = `<a href="" onclick="addToCart(event, ${item.variants[0].id})" class="add-me">Add to cart</a>`;
                var priceTag = `<span>Only {{currencySymbol}} ${item.variants[0].price}</span>`;
              }

              productListing = document.getElementById('recipe-product-row');
              html += `<div class="col-lg-3"><div class="related-box"><div class="related-img mb-3"><img src="${
                item.images.length > 0
                  ? item.images[0].src
                  : 'https://phplaravel-523670-3512667.cloudwaysapps.com/images/preview.jpg'
              }"><a href=""><i class="fas fa-heart"></i></a></div><div class="related-text"><h4><a href="/products/${
                item.handle
              }">${item.title}</a></h4> ${priceTag}  ${aTag}   </div></div></div>`;

              productListing.innerHTML += html;
            });

            // Update the product container with the generated HTML
          }
        };
        xhr.send();
      }

      async function addToCart(event, id) {
        event.preventDefault(); // Prevent the default link behavior
        var button = this;
        let formData = {
          items: [
            {
              id: id,
              quantity: 1,
            },
          ],
        };

        try {
          const response = await fetch(window.Shopify.routes.root + 'cart/add.js', {
            method: 'POST',
            headers: {
              'Content-Type': 'application/json',
            },
            body: JSON.stringify(formData),
          });

          const data = await response.json();
          if (data.items.length > 0) {
            successAlert();
          } else {
            dangerAlert();
          }
        } catch (error) {
          console.error('Error:', error);
        }
      }
    </script>

    <script>
      function copyContent() {
        var text = window.location.href;
        navigator.clipboard.writeText(text);
        document.getElementById('copy-alert').style.display = 'block';

        setTimeout(function () {
          document.getElementById('copy-alert').style.display = 'none';
        }, 2000);
      }

      function successAlert() {
        document.getElementById('success-alert').style.display = 'block';

        setTimeout(function () {
          document.getElementById('success-alert').style.display = 'none';
        }, 2000);
      }

      function dangerAlert() {
        document.getElementById('danger-alert').style.display = 'block';

        setTimeout(function () {
          document.getElementById('danger-alert').style.display = 'none';
        }, 2000);
      }
    </script>
  </body>
</html>
